import { useContext, useEffect } from 'react';
import IconContext from './IconContext';
import { injectCss } from './utils';
export var iconStyle = "@-webkit-keyframes doly-icon-animate-spin {\n  100% {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n}\n@keyframes doly-icon-animate-spin {\n  100% {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n}\n@-webkit-keyframes doly-icon-animate-spin-reverse {\n  from {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n  to {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n}\n@keyframes doly-icon-animate-spin-reverse {\n  from {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n  to {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n}\n.doly-icon {\n  display: inline-block;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  color: currentColor;\n  font-size: 1em;\n  color: var(--doly-icon-color, currentColor);\n  font-size: var(--doly-icon-font-size, 1em);\n  font-style: normal;\n  line-height: 0;\n  text-align: center;\n  text-transform: none;\n  vertical-align: -0.125em;\n  text-rendering: optimizeLegibility;\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n.doly-icon > * {\n  line-height: 1;\n}\n.doly-icon > svg {\n  display: inline-block;\n}\n.doly-icon-spin {\n  -webkit-animation: doly-icon-animate-spin 1s infinite linear;\n  animation: doly-icon-animate-spin 1s infinite linear;\n  -webkit-animation: doly-icon-animate-spin var(--doly-icon-spin-duration, 1s) infinite linear;\n  animation: doly-icon-animate-spin var(--doly-icon-spin-duration, 1s) infinite linear;\n}\n.doly-icon-spin-reverse {\n  -webkit-animation: doly-icon-animate-spin-reverse 1s infinite linear;\n  animation: doly-icon-animate-spin-reverse 1s infinite linear;\n  -webkit-animation: doly-icon-animate-spin-reverse var(--doly-icon-spin-duration, 1s) infinite linear;\n  animation: doly-icon-animate-spin-reverse var(--doly-icon-spin-duration, 1s) infinite linear;\n}";
export function useInsertStyle() {
    var csp = useContext(IconContext).csp;
    useEffect(function () {
        injectCss(iconStyle, 'doly-icons', { csp: csp });
    }, [csp]);
}
