import { __assign, __rest } from "tslib";
import React, { forwardRef } from 'react';
import IconBase from '../icon/IconBase';
var MoonFill = forwardRef(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = __rest(_a, ["svgProps"]);
    return (React.createElement(IconBase, __assign({ "aria-label": "moon-fill" }, restProps, { ref: ref }),
        React.createElement("svg", __assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            React.createElement("path", { d: "M6 .278a.77.77 0 0 1 .08.858 7.2 7.2 0 0 0-.878 3.46c0 4.021 3.278 7.277 7.318 7.277q.792-.001 1.533-.16a.79.79 0 0 1 .81.316.73.73 0 0 1-.031.893A8.35 8.35 0 0 1 8.344 16C3.734 16 0 12.286 0 7.71 0 4.266 2.114 1.312 5.124.06A.75.75 0 0 1 6 .278" }))));
});
MoonFill.displayName = 'MoonFill';
export default MoonFill;
