"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var IconBase_1 = tslib_1.__importDefault(require("../icon/IconBase"));
var CaretLeft = (0, react_1.forwardRef)(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = tslib_1.__rest(_a, ["svgProps"]);
    return (react_1.default.createElement(IconBase_1.default, tslib_1.__assign({ "aria-label": "caret-left" }, restProps, { ref: ref }),
        react_1.default.createElement("svg", tslib_1.__assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            react_1.default.createElement("path", { d: "M10 12.796V3.204L4.519 8zm-.659.753-5.48-4.796a1 1 0 0 1 0-1.506l5.48-4.796A1 1 0 0 1 11 3.204v9.592a1 1 0 0 1-1.659.753" }))));
});
CaretLeft.displayName = 'CaretLeft';
exports.default = CaretLeft;
